#Module-Specific definitions
%define mod_name mod_fcgid

Summary:	Apache module for FastCGI
Name:		apache-%{mod_name}
Version:	2.3.9
Release:	%mkrel 6
Group:		System/Servers
License:	Apache License
URL:		http://www.apache.org
Source0:	http://httpd.apache.org/dev/dist/mod_fcgid/mod_fcgid-%{version}.tar.gz
Source1:	http://httpd.apache.org/dev/dist/mod_fcgid/mod_fcgid-%{version}.tar.gz.asc
Source2:	mod_fcgid.conf
Source3:	fcgid.conf
Patch1:         mod_fcgid-2.3.9-CVE-2016-1000104.patch
BuildRequires:	apache-devel
Requires:	apache
Epoch:		1

%description
mod_fcgid is a binary compatibility alternative to Apache module mod_fastcgi.
mod_fcgid has a new process management strategy, which concentrates on reducing
the number of fastcgi server, and kick out the corrupt fastcgi server as soon
as possible.

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p1

%build
# still a bit ugly

pushd modules/fcgid
cp fcgid_config.h.in fcgid_config.h
%{_httpd_apxs} -I. -c mod_fcgid.c fcgid_bridge.c fcgid_conf.c fcgid_pm_main.c \
    fcgid_protocol.c fcgid_spawn_ctl.c fcgid_proctbl_unix.c fcgid_pm_unix.c \
    fcgid_proc_unix.c fcgid_bucket.c fcgid_filter.c fcgid_mutex_unix.c
popd

%install
pushd modules/fcgid
install -d %{buildroot}%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} \
    -n %{mod_name} %{mod_name}.la
popd

install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_modconfdir}/10_mod_fcgid.conf
install -D -m 644 %{SOURCE3} %{buildroot}%{_httpd_extconfdir}/fcgid.conf

install -d %{buildroot}/var/lib/%{name}

%files
%doc *-FCGID docs/manual/mod/mod_fcgid.html.en
%config(noreplace) %{_httpd_modconfdir}/10_mod_fcgid.conf
%config(noreplace) %{_httpd_extconfdir}/fcgid.conf
%{_httpd_moddir}/mod_fcgid.so
%attr(-,apache,apache) %dir /var/lib/%{name}


%changelog
* Thu Apr 27 2017 neoclust <neoclust> 1:2.3.9-6.mga6
+ Revision: 1097791
- Add P1 - Fixes CVE-2016-1000104 (mga#19237)

* Tue Feb 02 2016 umeabot <umeabot> 1:2.3.9-5.mga6
+ Revision: 931097
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2.3.9-4.mga5
+ Revision: 741915
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.3.9-3.mga5
+ Revision: 677839
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1:2.3.9-2.mga4
+ Revision: 541347
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 1:2.3.9-1.mga4
+ Revision: 495630
- 2.3.9 (fixes CVE-2013-4365)

* Fri Jan 11 2013 umeabot <umeabot> 1:2.3.7-2.mga3
+ Revision: 345847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 guillomovitch <guillomovitch> 1:2.3.7-1.mga3
+ Revision: 280774
- new version
- adapt to new apache setup

* Sat Jul 07 2012 luigiwalser <luigiwalser> 1:2.3.6-3.mga3
+ Revision: 268678
- fix module configuration to work with systemd (mga #6714)

* Fri Mar 23 2012 luigiwalser <luigiwalser> 1:2.3.6-2.mga2
+ Revision: 225796
- fix CVE-2012-1181 (patch 0 from mdv)

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:2.3.6-0.3.mga2
+ Revision: 223844
- httpd restart is handled by filetriggers now

* Sun Sep 18 2011 dmorgan <dmorgan> 1:2.3.6-0.2.mga2
+ Revision: 144666
- Fix buildrequires
- Change apache-base require

* Thu Feb 17 2011 dmorgan <dmorgan> 1:2.3.6-0.1.mga1
+ Revision: 53294
- imported package apache-mod_fcgid


* Thu Nov 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.6-0.1mdv2011.0
+ Revision: 593299
- 2.3.6 (pre-release)

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.5-0.3mdv2011.0
+ Revision: 587983
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.5-0.2mdv2010.1
+ Revision: 516100
- rebuilt for apache-2.2.15

* Wed Jan 27 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.5-0.1mdv2010.1
+ Revision: 497126
- 2.3.5 (pre-release)
- update the config

* Tue Sep 29 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.2-0.1mdv2010.0
+ Revision: 450850
- 2.3.2 (pre-release)

* Wed Sep 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.1-0.1mdv2010.0
+ Revision: 435478
- 2.3.1 (pre-release of the asf incubated mod_fcgid)

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.2-7mdv2010.0
+ Revision: 406584
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.2-6mdv2009.1
+ Revision: 325752
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2-5mdv2009.0
+ Revision: 234947
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2-4mdv2009.0
+ Revision: 215579
- fix rebuild
- hard code %%{_localstatedir}/lib to ease backports

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2-3mdv2008.1
+ Revision: 181733
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1:2.2-2mdv2008.1
+ Revision: 170721
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Oct 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.2-1mdv2008.1
+ Revision: 98022
- 2.2

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-2mdv2008.0
+ Revision: 82579
- rebuild

* Wed May 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-1mdv2008.0
+ Revision: 27179
- 2.1


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0-2mdv2007.1
+ Revision: 140676
- rebuild

* Fri Jan 12 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0-1mdv2007.1
+ Revision: 107876
- 2.0
- sync somewhat with fc extras
- bunzip the config
- drop the apache220 patch, fixed upstream

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.07-4mdv2007.1
+ Revision: 79424
- Import apache-mod_fcgid

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.07-4mdv2007.0
- rebuild

* Fri Mar 03 2006 Michael Scherer <misc@mandriva.org> 1:1.07-3mdk
- enhance summary
- enable .fcgi handling by default

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.07-2mdk
- rebuilt against apache-2.2.0 (P0)

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.07-1mdk
- 1.07
- fix versioning
- fix dl url

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.04-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.04-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-4mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-1mdk
- 1.04
- strip away annoying ^M

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.03-1mdk
- rebuilt for apache 2.0.53

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.03-2mdk
- fix deps

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.03-1mdk
- initial mandrake package

